auth_param basic program /usr/lib/squid/basic_ncsa_auth /etc/squid/passwd
acl authenticated proxy_auth REQUIRED
http_access allow authenticated
http_access deny all

cache_peer 127.0.0.1 parent 7890 0 no-query default
never_direct allow all

http_port 3128
